_  = function(p) return p; end;
name = _('Export example 1600x900');
Description = 'Export example 1600x900 with abstract gauge addresses using reconfigure_for_unit function.';


-- Put your values in , and delete or rem out all exports that you don't want to use !
--[[
List of Exports:

----------------------
 Eagle Dynamics A-10C 
----------------------

MFCD_init.lua
LEFT_MFCD	(ED_A10C_LEFT_MFCD only if legacy MFCDs code in use)
RIGHT_MFCD	(ED_A10C_RIGHT_MFCD only if legacy MFCDs code in use)

CDU_init.lua
ED_A10C_CDU
CDU_SCREEN


DIGIT_CLK_init.lua
ED_A10C_CLOCK
CLOCK_SCREEN

AN_ALR69V_init.lua
ED_A10C_RWR
RWR_SCREEN

CMSP_init.lua
ED_A10C_CMSP
CMS_SCREEN

CMSC_init.lua
ED_A10C_CMSC
CMSC_SCREEN

freq_status_init.lua
ED_A10C_UHF_FREQUENCY_STATUS
UHF_FREQUENCY_SCREEN

preset_channel_init.lua
ED_A10C_UHF_PRESET_CHANNEL
UHF_PRESET_SCREEN

repeater_init.lua
ED_A10C_UHF_REPEATER
UHF_REPEATER_SCREEN

----------------------
 Eagle Dynamics Ka-50 
----------------------

ABRIS_init.lua
RIGHT_MFCD	(ED_KA50_ABRIS only if legacy ABRIS/Shkval code in use)

SHKVAL_init.lua
LEFT_MFCD	(ED_KA50_Shkval only if legacy ABRIS/Shkval code in use)

UV_26_init.lua
ED_KA50_UV26
UV26

PVI_init.lua
ED_KA50_PVI
PVI

Ekran_init.lua
ED_KA50_Ekran
Ekran

CautionLights_panel.lua
ED_KA50_CautionLights
CautionLights
--]]


Viewports =
{
Center =
	{
		x = 0;
		y = 0;
		width = 800;
		height = 600;
		viewDx = 0;
		viewDy = 0;
		aspect = 1.3333333333;
    }
}


GUI=
	{
		x = 0;
		y = 0;
		width = 800;
		height = 600;
	}	
	
UIMainView = GUI

function reconfigure_for_unit(unit_type)
	if unit_type == 'Ka-50' then
		RIGHT_MFCD = 
		{
		 x = 0;
		 y = 600;
		 width = 300;
		 height = 300;
		}


		LEFT_MFCD =
		{
		 x = 500;
		 y = 600;
		 width = 300;
		 height = 300;
	   }

	--Add-on Gauges
		UV26 =
			{
			x = 300;
			y = 600;
			width = 200;
			height = 300;
			}	
			
		PVI =
			{
			x = 800;
			y = 300;
			width = 300;
			height = 300;
			}
				
		Ekran =
			{
			x = 800;
			y = 600;
			width = 300;
			height = 300;
			}	

		CautionLights =
			{
			x = 800;
			y = 0;
			width = 500;
			height = 500;
			}	
	
	elseif
	unit_type == 'A-10C' then
		LEFT_MFCD =
		{
		 x = 0;
		 y = 600;
		 width = 300;
		 height = 300;
		}

		RIGHT_MFCD =
		{
		 x = 500;
		 y = 600;
		 width = 300;
		 height = 300;
		}
	--Add-on gauges
		CDU_SCREEN =
			{
			x = 300;
			y = 600;
			width = 200;
			height = 300;
			}
			
		CLOCK_SCREEN =
			{
			x = 1400;
			y = 600;
			width = 200;
			height = 300;
			}	
			
		RWR_SCREEN =
			{
			x = 800;
			y = 300;
			width = 300;
			height = 300;
			}
				
		CMS_SCREEN =
			{
			x = 1100;
			y = 0;
			width = 300;
			height = 300;
			}		

		CMSC_SCREEN =
			{
			x = 800;
			y = 0;
			width = 300;
			height = 300;
			}

		UHF_FREQUENCY_SCREEN =
			{
			x = 800;
			y = 600;
			width = 300;
			height = 300;
			}
			
		UHF_PRESET_SCREEN =
			{
			x = 1100;
			y = 600;
			width = 300;
			height = 300;
			}
			
		UHF_REPEATER_SCREEN =
			{
			x = 1100;
			y = 300;
			width = 300;
			height = 300;
			}
		
		
   else
        LEFT_MFCD =
		{
		 x = 0;
		 y = 600;
		 width = 300;
		 height = 300;
		}

		RIGHT_MFCD =
		{
		 x = 500;
		 y = 600;
		 width = 300;
		 height = 300;
		}
    end
end	
	



